<html>
<head>
<title>OGRE: Ogre::GpuLogicalBufferStruct Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html">GpuLogicalBufferStruct</a></div>
<h1>Ogre::GpuLogicalBufferStruct Struct Reference</h1><!-- doxytag: class="Ogre::GpuLogicalBufferStruct" -->Container struct to allow params to safely &amp; update shared list of logical buffer assignments.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1GpuLogicalBufferStruct-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html#dab78cf8e26f03488bda5609bed785b7">GpuLogicalBufferStruct</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a51ba56cbce3f845ffd4be59ec30fd83">GpuLogicalIndexUseMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html#2cdd35182b10421abcbf8fefa4b7be47">map</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Map from logical index to physical buffer location.  <a href="#2cdd35182b10421abcbf8fefa4b7be47"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html#640a99f1ee133b137ce15e7271fdb7cc">bufferSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shortcut to know the buffer size needs.  <a href="#640a99f1ee133b137ce15e7271fdb7cc"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Container struct to allow params to safely &amp; update shared list of logical buffer assignments. 
<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00184">184</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="dab78cf8e26f03488bda5609bed785b7"></a><!-- doxytag: member="Ogre::GpuLogicalBufferStruct::GpuLogicalBufferStruct" ref="dab78cf8e26f03488bda5609bed785b7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuLogicalBufferStruct::GpuLogicalBufferStruct           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00191">191</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="2cdd35182b10421abcbf8fefa4b7be47"></a><!-- doxytag: member="Ogre::GpuLogicalBufferStruct::map" ref="2cdd35182b10421abcbf8fefa4b7be47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a51ba56cbce3f845ffd4be59ec30fd83">GpuLogicalIndexUseMap</a> <a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html#2cdd35182b10421abcbf8fefa4b7be47">Ogre::GpuLogicalBufferStruct::map</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Map from logical index to physical buffer location. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00188">188</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="640a99f1ee133b137ce15e7271fdb7cc"></a><!-- doxytag: member="Ogre::GpuLogicalBufferStruct::bufferSize" ref="640a99f1ee133b137ce15e7271fdb7cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html#640a99f1ee133b137ce15e7271fdb7cc">Ogre::GpuLogicalBufferStruct::bufferSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shortcut to know the buffer size needs. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00190">190</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:47 2008
</p>
</body>
</html>
